-----------------------------------------------------------
-- weapon_ump.lua, Weapon UMP
-----------------------------------------------------------
weapon_ump = inherit_table(weapon_base)

-- покой
weapon_ump.m_fsm[WEAPON_FSM_STATE_IDLE] = {
	anim = "idle1", -- имя анимации
	anim_playback = ANIM_PLAYBACK_REPEAT, -- бесконечно играть
	anim_speed = 1.0 -- обычная скорость анимации
}

-- атака
weapon_ump.m_fsm[WEAPON_FSM_STATE_ATTACK] = {
	anim = "shoot1", -- имя анимации
	anim_playback = ANIM_PLAYBACK_NONE,
	anim_speed = 1.0, -- обычная скорость анимации
	anim_sound = "data/sounds/weapons/ump45_shoot.wav"
}

-- перезарядка
weapon_ump.m_fsm[WEAPON_FSM_STATE_RELOAD] = {
	anim = "reload", -- имя анимации
	anim_playback = ANIM_PLAYBACK_NONE,
	anim_speed = 1.0, -- обычная скорость анимации
	anim_sound = "data/sounds/weapons/ump45_reload.wav"
}

function weapon_ump:on_init()
	weapon_base.on_init(self)
	self:load_model("data/models/weapons/v_ump.iqm")
end
